function init()

	radditbody = FindBody("raddit")
	radditvox = FindShape("raddit_vox")
	hop = LoadSound("MOD/hop.ogg")
	deth = LoadSound("MOD/deth.ogg")
	sniff = LoadSound("MOD/sniff.ogg")

	Time = 0

	sndD = false
	sndH = false

	boing = false

	VelTable = {
		Vec(0,2000,2),
		Vec(0,1000,0),
		Vec(-5,3000,0),
		Vec(6,1000,0),
		Vec(1,2000,5),
		Vec(0,3000,0),
		Vec(0,1000,0.1),
		Vec(0.1,2000,1),
		Vec(0,10000,0),
		Vec(0,2000,2),
		Vec(0,1000,0),
		Vec(-5,3000,0),
		Vec(6,1000,0),
		Vec(1,2000,5),
		Vec(0,3000,0),
		Vec(0,1000,0.1),
		Vec(0.1,2000,1),

	}

	CroTable = {
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		1
	}

	ExTable = {
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		1
	}

	FreqTable = {
		5,
		3,
		4,
		6,
		5,
		4,
		3,
		5,
		7,
		3,
		5,
		6
	}

end

function tick(dt)

	radditbodyt = GetBodyTransform(radditbody)

	if boing == false then

		RandomCroIndex = math.random(1, 10)
		RandomExIndex = math.random(1, 20)
		RandomVelIndex = math.random(1, 17)
		RandomFreqIndex = math.random(1, 12)

		Time = 0

		ApplyBodyImpulse(radditbody, Vec(0,1,0), VelTable[RandomVelIndex])

		if sndH == false then
			PlaySound(hop, radditbodyt.pos)
			sndH = true
		end

		if RandomCroIndex == 10 then
			PlaySound(sniff, radditbodyt.pos)
		end

		if RandomExIndex == 20 then
			Explosion(radditbodyt.pos, 1)
		end

		boing = true

	end

	if boing == true then

		sndH = false

		Time = Time + dt

		if Time > FreqTable[RandomFreqIndex] then
			boing = false
		end

	end

	if GetShapeVoxelCount(radditvox) < 200 then

		boing = true

		if sndD == false then
			PlaySound(deth, radditbodyt.pos)
			sndD = true
		end

	end

	--DebugWatch("voxels", GetShapeVoxelCount(radditvox))
	--DebugWatch("boing", boing)
	--DebugWatch("velocity_selected", VelTable)
	--DebugWatch("velocity_selected", RandomVelIndex)
	--DebugWatch("bodyloc", radditbodyt)
	--DebugWatch("Time_selected", RandomFreqIndex)

end