function init()

	mosebody = FindBody("mose")
	mosevox = FindShape("mose_vox")
	hop = LoadSound("MOD/hop.ogg")
	deth = LoadSound("MOD/deth.ogg")
	squeak = LoadSound("MOD/squeak.ogg")

	Time = 0

	sndD = false
	sndH = false

	boing = false

	VelTable = {
		Vec(0,200,2),
		Vec(0,100,0),
		Vec(-5,300,0),
		Vec(6,100,0),
		Vec(1,200,5),
		Vec(0,300,0),
		Vec(0,100,0.1),
		Vec(0.1,200,1),
		Vec(0,1000,0),
		Vec(0,200,2),
		Vec(0,100,0),
		Vec(-5,300,0),
		Vec(6,100,0),
		Vec(1,200,5),
		Vec(0,300,0),
		Vec(0,100,0.1),
		Vec(0.1,200,1),

	}

	CroTable = {
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		1
	}

	ExTable = {
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		1
	}

	FreqTable = {
		5,
		3,
		4,
		6,
		5,
		4,
		3,
		5,
		7,
		3,
		5,
		6
	}

end

function tick(dt)

	mosebodyt = GetBodyTransform(mosebody)

	if boing == false then

		RandomCroIndex = math.random(1, 10)
		RandomExIndex = math.random(1, 20)
		RandomVelIndex = math.random(1, 17)
		RandomFreqIndex = math.random(1, 12)

		Time = 0

		ApplyBodyImpulse(mosebody, Vec(0,1,0), VelTable[RandomVelIndex])

		if sndH == false then
			PlaySound(hop, mosebodyt.pos)
			sndH = true
		end

		if RandomCroIndex == 10 then
			PlaySound(squeak, mosebodyt.pos)
		end

		if RandomExIndex == 20 then
			Explosion(mosebodyt.pos, 1)
		end

		boing = true

	end

	if boing == true then

		sndH = false

		Time = Time + dt

		if Time > FreqTable[RandomFreqIndex] then
			boing = false
		end

	end

	if GetShapeVoxelCount(mosevox) < 71 then

		boing = true

		if sndD == false then
			PlaySound(deth, mosebodyt.pos)
			sndD = true
		end

	end

	--DebugWatch("voxels", GetShapeVoxelCount(mosevox))
	--DebugWatch("boing", boing)
	--DebugWatch("velocity_selected", VelTable)
	--DebugWatch("velocity_selected", RandomVelIndex)
	--DebugWatch("bodyloc", mosebodyt)
	--DebugWatch("Time_selected", RandomFreqIndex)

end